style="display:inline-block;width:728px;height:90px"
data-ad-client="ca-pub-5164839828746352"
data-ad-slot="7563230308">

Ayuda con los WebServices

Estoy realizando un Webservice bastante sencillo, solo estan definidos como 4 WebMethods cada uno recibe 2 parametros y hacen las operaciones aritmeticas basicas (Sumar, Restar, Multiplicar y Dividir).

Tengo entendido que primero hay que crear un WebService (Web Service Server), posteriormente pulsar F6 para ejecutar el WebService, si no modifique nada debe salir el Hello Word de la JSP y finalmente probar el WebService para que nos de el WSDL y ahora si crear nuestro WebService Client

El problema es que:
Algunas veces me muestra el siguiente error:
"Could not access the URL throgth the external browser. Check the browser configuration" pero me corre la pagina JSP

y en otras no, pero al intentar probar el WebService me muestra este otro error
Unable to open web service tester page:
http://localhost:8084//CalculadoraServidor
Make sure the service has benn deployed successfully , and the server is running
por lo que nunca puedo ver el WSDL

¿Alguien sabe el porque de estos errores?

Opciones de visualización de comentarios

Seleccione la forma que prefiera para mostrar los comentarios y haga clic en «Guardar las opciones» para activar los cambios.

¿cuál es tu entorno?

¿IDE, metodo de web service (bottom - up, up - bottom)?

Algo muy curioso que una vez a mi me sucedio es que yo estaba compilando con jdk 1.5.0_6(creo) y me salian errores que ni al caso y decidi subir a la version 1.5.0_22 y dejaron de salirme esos errores

Para que veas tu wsdl tienes que poner http://localhost:8084//CalculadoraServidor?wsdl

mira esto http://www.javamexico.org/foros/manuales_tutoriales_y_libros/documentaci...

El IDE es NetBeans 6.9.1, lo

El IDE es NetBeans 6.9.1,
lo del WSDL si sale pero si pongo http://localhost:8084/CalculadoraServidor?wsdl
y no http://localhost:8084//CalculadoraServidor?wsdl tal como lo sugiere NetBeans.

¿Como se que JDK tengo instalado?

El JDK es 1.6.0.230

Revisando en los programas instalados observe que la version del JDK es 1.6.0.230 tengo poco que he instalado el JDK y el Netbeans, creo que ambos son los mas nuevos

Mira...

Pues particularmente a mi no me late netbeans porque creo que te pone mucho codigo que te sirve para dos cosas...

la sugerencia que te hace netbeans es solo eso una sugerencia mas no es mandatorio

Determina ¿si puedes cambiarte a eclipse? y pues en la liga que te puse, propongo un ejemplo sencillo

¿si te aparece el wsdl? sinifica que tu servicio esta arriba(corriendo o en linea o publicado) mas no que este bien

style="display:inline-block;width:728px;height:90px"
data-ad-client="ca-pub-5164839828746352"
data-ad-slot="7563230308">